//=============================================================================
// Character.h
//=============================================================================

#pragma once

enum{
	ANI_PTN_NONE = 0,			// Aj[V
	ANI_PTN_WALK_AT_START,		// Jns
	ANI_PTN_ATTACK,				// U
	ANI_PTN_ATTACK_BACK,		// U̖߂
};
//-----------------------------------------------------------------------------
// CCharacter
//-----------------------------------------------------------------------------
class CCharacter
{
	// `bvp^[
	enum {
		STAND		= 0,// C
		WALK_R,			// s EO
		ATACK_01,		// U Uグ
		ATACK_02,		// U U肨낵
	};
	enum {
		CHAR_CHIP_COUNT = 15,
	};

public:	// ANZXȈՉ

	// VXef[^
	const char *m_lpzFileName;			// 摜t@C
	int		m_nHandle[CHAR_CHIP_COUNT];	// 摜nh
	int		m_nID;						// ID
	int		m_nPosX;					// \{ʒuX
	int		m_nPosY;					// \{ʒuY

	int		m_nDispPicPtrn;				// \Ă`bvԍ		

	// Aj[V֘A
	int		m_nDispPosX;				// \ʒuX
	int		m_nDispPosY;				// \ʒuY
	int		m_nAnimationPtrn;			// Aj[Vp^[
	DWORD	m_dwFrameCount;				// t[JEg


	// LN^f[^
	char m_szName[CHR_NAME_MAX_LEN+1];	// O

	int m_nLV;			// ݂̃x
	int m_nJLV;			// ݂̃Wux

	// ϓ
	int m_nHP;			// HP
	int m_nMP;			// MP
	int	m_nATBValue;	// ATBl

	// ɂĕς
	int	m_nAttack;		// U : Ũ_[W̍ɉe
	int m_nDefence;		// h : ɂ_[W̌yɉe
	int m_nMagicDef;	// @h : @ɂ_[W̌yɉe
	int m_nParry;		//      : U̐۔ɉe
	int m_nMagicPar;	// @ : @UEԈُU̐۔ɉe
	int m_nWeight;		// ̏d : ATB̏Q[WʂɉeiATB̑x̂̂ɂ͉eȂj

	// 	bl
	int m_nMaxHP;		// ς_[W
	int m_nMaxMP;		// ς_[W
	int m_nStrength;	//      : U͂ɉe
	int m_nVitality;	// ̗   : őHPAh́AWFl̉񕜗ʁACYhHP񕜗ʂȂǂɉe
	int m_nSpeed;		// f : ATBQ[W̑xɉe
	int m_nIntellect;	//    : őMPA@U͂ɉe
	int m_nPiety;		// _   : őMPAPẢ񕜗ʁA@h́A@𗦁AԈُ̎Ԃɉe
	int m_nLuck;		// ^     : ސANeBJAJE^[iAreBJE^[jA퓬ACe擾mAԈُU̐A𗦁EAAӂEobNA^bN̔

protected:

	// ATB|Cg
	void IncreaseATBValue( DWORD dwFrameCount );

public:
	CCharacter(void);
	virtual ~CCharacter(void);

	BOOL Initialize( int nID, int nPosX, int nPosY );
	void SetName( const char *pName );

	// t[XV
	void FrameMove( void );
	// `
	void Render( void );

	// \ʒuݒ
	void SetDispPos( int nX, int nY )
	{
		m_nDispPosX = m_nPosX = nX;
		m_nDispPosY = m_nPosY = nY;
	
	};

	// Aj[Vp^[
	void StartAnimation( int nPaternNo );
};
