//=============================================================================
// MenuWindow.h
//=============================================================================
#pragma once
#include "framewindow.h"

typedef struct
{
	int		m_nID;							// ID
	char	m_szText[MENU_ITEM_MAX_LEN];	// \
}stMenuItem;

const int MENU_ITEM_ID_AUTO = -1;
const int CURSOR_POS_NONE   = -1;	// J[\Ȃ
//-----------------------------------------------------------------------------
// CMenuWindow
//-----------------------------------------------------------------------------
class CMenuWindow :	public CFrameWindow
{
protected:
	int			m_nItemCount;		// j[ACe
	stMenuItem	m_nItem;			// j[ACe
	int			m_nCursorPos;		// J[\ ACeID

public:
	CMenuWindow(void);
	virtual ~CMenuWindow(void);
	BOOL IsMenu( void ) const
	{	return TRUE;	};

	void AddItem( const char *pText, int nID = MENU_ITEM_ID_AUTO );
	void RemoveItem( int nID );

	// J[\ʒu擾
	void GetCursorDispPos( int *pX, int *pY );
	int GetCursorPos( void ) const
	{	return m_nCursorPos;	};
};
