//=============================================================================
// PlayerPartyWindow.h
//=============================================================================
#pragma once
#include "MenuWindow.h"

class CCharacter;
class CAtbGauge;
//-----------------------------------------------------------------------------
// CPlayerPartyWindow
//-----------------------------------------------------------------------------
class CPlayerPartyWindow : public CMenuWindow
{
public:
	enum {
		FRAME_TO_NAME_MARGINE_Y		=   8,
		FRAME_TO_NAME_MARGINE_X		=  10,
		FRAME_TO_HP_MARGINE_X		=  85,
		FRAME_TO_ATB_GAUGE_MARGINE_X= 120,
	};

protected:
	// ATBQ[W ({)
	CAtbGauge	*m_pAtbGauge[BATTLE_CHAR_COUNT_MAX];

	// v[p[eB(Q)
	CCharacter	*m_pPlayerParty[BATTLE_CHAR_COUNT_MAX];

public:
	CPlayerPartyWindow(void);
	virtual ~CPlayerPartyWindow(void);
	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CCharacter **pPlayerParty );

	
	// t[XV
	void FrameMove( void );

	// _O
	void Render( void );
};
