//=============================================================================
// EnemyPartyWindow.h
//=============================================================================
#pragma once
#include "MsgWindow.h"

class CEnemy;
//-----------------------------------------------------------------------------
// CEnemyPartyWindow
//-----------------------------------------------------------------------------
class CEnemyPartyWindow : public CMsgWindow
{
public:
	enum {
		FRAME_TO_NAME_MARGINE_X = 10,
		FRAME_TO_NAME_MARGINE_Y = 8,
	};

protected:
	// Gp[eB(Q)
	CEnemy	*m_pEnemy[BATTLE_ENEMY_COUNT_MAX];
	int		m_nEnemyCount;

public:
	CEnemyPartyWindow(void);
	virtual ~CEnemyPartyWindow(void);

	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CEnemy **pEnemyParty, int nEnemyCount );

	// XV
	void FrameMove( void );

	// _O
	void Render( void );
};

