//=============================================================================
// MsgWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "MsgWindow.h"


//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CMsgWindow::CMsgWindow(void)
{
	RtlZeroMemory( m_szMsg, sizeof(m_szMsg) );
	RtlZeroMemory( m_szDisplayMsg, sizeof(m_szDisplayMsg) );
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CMsgWindow::~CMsgWindow(void)
{
}
//-----------------------------------------------------------------------------
// Render
//-----------------------------------------------------------------------------
void CMsgWindow::Render( void )
{
	CFrameWindow::Render();

	// \
	for ( int iCnt = 0; iCnt < DISPLAY_MESSAGE_LINE_MAX; iCnt ++ )
	{
		int iPosY = m_nPosY + FRAME_TO_STRING_MARGINE_Y + ( iCnt * (DISPLAY_MESSAGE_FONT_SIZE + 4) );

		DrawString( m_nPosX + FRAME_TO_STRING_MARGINE_X, iPosY, m_szDisplayMsg[iCnt], STRING_COLOR );
	}
}
//-----------------------------------------------------------------------------
// SetMessage
//-----------------------------------------------------------------------------
void CMsgWindow::SetMessage( const char *pMsg )
{
	// ێ
	strncpy_s( m_szMsg, pMsg, _countof(m_szMsg)-1 );

	// ToDo Âo
	for ( int iCnt = 0; iCnt < DISPLAY_MESSAGE_LINE_MAX; iCnt ++ )
	{
		CopyWidthLimitString( m_szDisplayMsg[iCnt], m_szMsg, _countof(m_szDisplayMsg[iCnt])-1 );
	}
	
}
//-----------------------------------------------------------------------------
// CopyWidthLimitString
//-----------------------------------------------------------------------------
int CMsgWindow::CopyWidthLimitString( char *pDst, const char *pSrc, int nLen )
{
	strncpy_s( pDst, nLen, pSrc, nLen );

	int iStrLen = strlen(pDst);
	for ( int iCnt = iStrLen; 0 < iCnt; iCnt -- )
	{
		int iStrWidth = GetDrawStringWidth( pDst, iStrLen );
		if ( m_nWidth < iStrWidth + FRAME_TO_STRING_MARGINE_X * 2 )
		{	// Eɂ͂ݏoȂ1
			pDst[iCnt] = '\0';
		}

	}

	return 0;
}